# Get purchaseReceiptLines
Retrieve the properties and relationships of a purchaseReceiptLine object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
GET businesscentralPrefix/companies({id})/purchaseReceipts({id})/purchaseReceiptLines({purchaseReceiptLineId})
GET businesscentralPrefix/companies({id})/purchaseReceiptLines({purchaseReceiptLineId})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a ```200 OK``` response code and an purchaseReceiptLines object in the response body.
## Example
Request
Here's an example of the request.
```json
GET https://{businesscentralPrefix}/api/v2.0/companies({id})/purchaseReceipts({id})/purchaseReceiptLines({purchaseReceiptLineId})
```
Response
Here's an example of the response.
```json
{
   "id": "dd8db9c0-44e3-ea11-bb43-000d3a2feca1",
   "documentId": "5d115c9c-44e3-ea11-bb43-000d3a2feca1",
   "sequence": "10000",
   "lineType": "Item",
   "lineObjectNumber": "1896-S",
   "description": "ATHENS Desk",
   "unitOfMeasureCode": "PCS",
   "unitCost": 780.7,
   "quantity": 4,
   "discountPercent": 5,
   "taxPercent": 10,
   "expectedReceiptDate": "2021-01-01"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_purchasereceiptline

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_purchasereceiptline_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_purchasereceiptline_get/
